


####################################################################
execute if score tick svm_ep.function matches 0 run return 0
kill @e[tag=rotator]
execute as @a if items entity @s weapon *[minecraft:custom_data={svm_ep.item:{id:infinity}}] at @s run tp @s ~ ~256 ~
#DIED
execute as @a[scores={svm_ep.died=1..}] run function svm_ep:player/died




####################################################################
execute if score tick svm_ep.function matches 1 run return 0
#TIME STOP
scoreboard players add @a[predicate=!svm_ep:time_stopped] svm_ep.tick 1
scoreboard players add %WORLD svm_ep.tick 1
execute as @e[scores={svm_ep.restore_health=1..}] run function svm_ep:player/restore_health



####################################################################
execute if score tick svm_ep.function matches 2 run return 0

execute as @e[scores={svm_ep.tick_acceleration=1..},predicate=!svm_ep:time_stopped] run function svm_ep:time/give_extra_ticks

execute as @e[scores={svm_ep.time_stopping=1..}] run function svm_ep:time/stopper
execute as @a[scores={svm_ep.time_stopped=1..}] run function svm_ep:time/stopped_player
execute as @e[scores={svm_ep.time_stopped=0}] run function svm_ep:time/unstop_entity
scoreboard players remove @e[scores={svm_ep.time_stopped=1..}] svm_ep.time_stopped 1




####################################################################
execute if score tick svm_ep.function matches 3 run return 0

#USING ABILITY
scoreboard players remove @e[scores={svm_ep.using_move=1..},predicate=!svm_ep:time_stopped] svm_ep.using_move 1



####################################################################
execute if score tick svm_ep.function matches 4 run return 0

#PROJECTILES
tag @e[type=#minecraft:impact_projectiles,tag=!svm_ep.arrow_redirected] add svm_ep.can_redirect
scoreboard players set @e[type=#minecraft:impact_projectiles] svm_ep.projectile 1



####################################################################
execute if score tick svm_ep.function matches 5 run return 0


execute as @e[tag=svm_ep.npc,tag=!svm_ep.npc_display,predicate=!svm_ep:time_stopped] at @s run function svm_ep:npc/tick



####################################################################
execute if score tick svm_ep.function matches 6 run return 0
execute as @e[type=#svm_ep:technical,type=!item,tag=!svm_ep.npc,tag=!svm_ep.no_tick,predicate=!svm_ep:time_stopped] at @s run function svm_ep:selected_tick



####################################################################
execute if score tick svm_ep.function matches 7 run return 0

#PARTICLE
execute as @e[scores={svm_ep.particle=1..},predicate=!svm_ep:time_stopped] run function svm_ep:particle_tick



####################################################################
execute if score tick svm_ep.function matches 8 run return 0

#PROJECTILE
execute as @e[type=!#minecraft:impact_projectiles,scores={svm_ep.projectile=-100..},predicate=!svm_ep:time_stopped] run function svm_ep:projectile_tick



####################################################################
execute if score tick svm_ep.function matches 9 run return 0

#POWERS+STYLES
execute as @e[scores={svm_ep.fighting_style=1..},predicate=!svm_ep:time_stopped] at @s run function svm_ep:fighting_style/tick



####################################################################
execute if score tick svm_ep.function matches 10 run return 0

execute as @e[tag=svm_ep.power_user,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/user_tick



####################################################################
execute if score tick svm_ep.function matches 11 run return 0

#PLAYER
execute as @a[predicate=!svm_ep:time_stopped] at @s run function svm_ep:player/tick
scoreboard players reset @e[scores={svm_ep.using_move=31510000..}] svm_ep.using_move



####################################################################
execute if score tick svm_ep.function matches 12 run return 0

execute as @a[scores={svm_ep.menu=1..}] run function svm_ep:menu/trigger
execute as @a[scores={svm_ep.toggle_power=1..}] run function svm_ep:menu/toggle_power
execute as @a[scores={svm_ep.switch_hotbar=1..}] run function svm_ep:menu/hotbar/switch



####################################################################
execute if score tick svm_ep.function matches 13 run return 0

#EFFECTS
execute as @e[scores={svm_ep.effect=1..},predicate=!svm_ep:time_stopped] run function svm_ep:entity/effect/tick



####################################################################
execute if score tick svm_ep.function matches 14 run return 0

execute as @e[scores={svm_ep.p.explosion_barrier_effect=1..},predicate=!svm_ep:time_stopped] run function svm_ep:power/explosion/barrier/effect
execute as @e[scores={svm_ep.p.fire_on_fire=1..},predicate=!svm_ep:time_stopped] run function svm_ep:power/fire/on_fire



####################################################################
execute if score tick svm_ep.function matches 15 run return 0

scoreboard players remove @e[scores={svm_ep.portal_delay=1..},predicate=!svm_ep:time_stopped] svm_ep.portal_delay 1
scoreboard players remove @e[scores={svm_ep.p.dimension_front_delay=1..},predicate=!svm_ep:time_stopped] svm_ep.p.dimension_front_delay 1




####################################################################
execute if score tick svm_ep.function matches 16 run return 0

execute if score %WORLD_SPEED svm_ep.world_settings matches 0.. run function svm_ep:system/world/speeded_up
execute if score %METEOR_RAIN svm_ep.world_settings matches 0.. run function svm_ep:system/world/meteor_rain





####################################################################
execute if score tick svm_ep.function matches 17 run return 0

#LAGGY
execute as @e[tag=svm_ep.explosion_ray,sort=random,limit=15,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/explosion/destroyer/projectile_tick
execute as @e[tag=svm_ep.lightning_ready,limit=1,sort=random,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/lightning/lightning_place/summon
execute as @e[tag=svm_ep.flora_oak_leaves,limit=10,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/flora/tree_place/place_leaf2
execute as @e[tag=svm_ep.flora_oak_leaves,limit=10,sort=random,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/flora/tree_place/place_leaf2
execute as @e[tag=svm_ep.flora_tree_big,limit=4,predicate=!svm_ep:time_stopped] run function svm_ep:power/flora/tree_big/projectile_tick
execute as @e[tag=svm_ep.flora_tree_big,limit=2,sort=random,predicate=!svm_ep:time_stopped] run function svm_ep:power/flora/tree_big/projectile_tick
execute as @e[tag=svm_ep.iceberg_projectile,sort=random,limit=25,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/ice/berg/projectile_tick

scoreboard players add @e[type=marker,tag=svm_ep.placed_ice,predicate=!svm_ep:time_stopped] svm_ep.lifetime 1
execute as @e[type=marker,tag=svm_ep.placed_ice,scores={svm_ep.lifetime=160..},limit=50,predicate=!svm_ep:time_stopped] at @s run function svm_ep:power/ice/berg/destroy_ice


#BLOCK
tag @e[type=item_display,tag=svm_ep.block] remove svm_ep.block_ticked
tag @e remove executor
tag @e remove same_id
scoreboard players reset @a svm_ep.shifting
execute as @a if items entity @s weapon *[minecraft:custom_data={svm_ep.item:{id:infinity}}] at @s run tp @s ~ ~-256 ~
